Coder Social home page Coder Social logo

pmcputemp's People

Contributors

01micko avatar bbidulock avatar

Stargazers

 avatar

Watchers

 avatar  avatar  avatar  avatar

pmcputemp's Issues

make sure you pick the correct temperature

[ -z "$FILE" ] && continue || break # if we found data break

I'm not sure if is the Mac, the newer kernels, the acpi or something else but the script in a MacBook running Xenial with the 4.9.58 kernel picks up the battery temperature instead of the cpu temperature.
The patch bellow fixes that but I'm not sure if it is of general use.

--- a/usr/bin/pmcputemp.sh
+++ b/usr/bin/pmcputemp.sh
@@ -44,10 +44,10 @@
 	fi
 	[ ! -d $TMP ] && mkdir $TMP
 	for a in `find /sys/devices/virtual -type f -name 'temp'|sort` \
-			`find /sys/devices/platform -type f -name 'temp*_input'|sort` \
+			`find /sys/devices/platform/coretemp.0 -type f -name 'temp*_input'|sort` \
 			`find /sys/devices/pci* -type f -name 'temp*_input'|sort`
 	do find_func "$a"
-		[ -z "$FILE" ] && continue || break
+		[ -z "$FILE" -o "$(grep ^BAT $(dirname $FILE)/type)" != "" ] && continue || break
 	done
 	if [ ! "$FILE" ];then echo "Failed to find file" && exit 1
 	fi

Is an unlikely target but still you might want to consider when you have the chance.

fix gtk3

Gtk 3 works, but I need to do a little work on the icons for About and Quit.

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    ๐Ÿ–– Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. ๐Ÿ“Š๐Ÿ“ˆ๐ŸŽ‰

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google โค๏ธ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.